#pragma once
#include <stdint.h>

int yrLocalSettings_init(void);
void yrLocalSettings_cleanup(void);

void yrLocalSettings_window_set(size_t len, void* data);
void yrLocalSettings_window_get(size_t* len, void** data);
void yrLocalSettings_mirror_set(int m);
int yrLocalSettings_mirror_get(void);

void yrLocalSettings_locale_set(const char* loc, const char* sub);
void yrLocalSettings_locale_get(const char** loc, const char** sub);

void yrLocalSettings_recent_add(const char* path, int64_t timestamp);
void yrLocalSettings_recent_remove(unsigned idx);
void yrLocalSettings_recent_get(unsigned idx, const char** scenec, const char** path, int64_t* timestamp);

void		yrLocalSettings_export_setdir(const char* path);
const char* yrLocalSettings_export_getdir(void);